QXmppBitsOfBinaryData Class Reference
Inheritance diagram for QXmppBitsOfBinaryData:
[legend]

## Public Member Functions

| QXmppBitsOfBinaryData (const QXmppBitsOfBinaryData &)
QXmppBitsOfBinaryData & | operator= (const QXmppBitsOfBinaryData &)
QXmppBitsOfBinaryContentId | cid () const
| Returns the content id of the data.
void | setCid (const QXmppBitsOfBinaryContentId &cid)
| Sets the content id of the data.
int | maxAge () const
void | setMaxAge (int maxAge)
QMimeType | contentType () const
void | setContentType (const QMimeType &contentType)
| Sets the content type of the data.
QByteArray | data () const
| Returns the included data in binary form.
void | setData (const QByteArray &data)
| Sets the data in binary form.
bool | operator== (const QXmppBitsOfBinaryData &other) const

## Static Public Member Functions

static bool | isBitsOfBinaryData (const QDomElement &element)
| Returns true, if `element` is a XEP-0231: Bits of Binary data element.

## Detailed Description

data element for XEP-0231: Bits of Binary. It can be used as an extension in other stanzas.

See also
  QXmppBitsOfBinaryIq, QXmppBitsOfBinaryDataList

Since
  QXmpp 1.2

## Member Function Documentation

## contentType()

QMimeType QXmppBitsOfBinaryData::contentType | ( |  | ) | const

Returns the content type of the data

Note
  This is the advertised content type and may differ from the actual content type of the data.

## maxAge()

int QXmppBitsOfBinaryData::maxAge | ( |  | ) | const

Returns the time in seconds the data should be cached

A value of 0 means that the data should not be cached, while a value of -1 means that nothing was set.

The default value is -1.

## setMaxAge()

void QXmppBitsOfBinaryData::setMaxAge | ( | int | maxAge | ) |

Sets the time in seconds the data should be cached

A value of 0 means that the data should not be cached, while a value of -1 means that nothing was set.

The default value is -1.

The documentation for this class was generated from the following files:

- QXmppBitsOfBinaryData.h
- QXmppBitsOfBinaryData.cpp